util.settings

## Class PropertyBasedSettings

- java.lang.Object
- - util.settings.PropertyBasedSettings

-     public class PropertyBasedSettings
      extends java.lang.Object

  Author:
    bananeweizen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyBasedSettings(java.util.Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `get(java.lang.String key)`
    `protected boolean` | `get(java.lang.String key, boolean defaultValue)`
    `protected int` | `get(java.lang.String key, int defaultValue)`
    `protected java.lang.String` | `get(java.lang.String key, java.lang.String defaultValue)`
    `protected java.lang.String[]` | `get(java.lang.String key, java.lang.String[] defaultValue)`
    `protected void` | `remove(java.lang.String key)`
    `protected void` | `set(java.lang.String key, boolean value)`
    `protected void` | `set(java.lang.String key, int value)`
    `protected void` | `set(java.lang.String key, java.lang.String value)`
    `protected void` | `set(java.lang.String key, java.lang.String[] value)`
    `java.util.Properties` | `storeSettings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyBasedSettings

          public PropertyBasedSettings(java.util.Properties properties)

  - ### Method Detail

    - #### storeSettings

          public java.util.Properties storeSettings()

    - #### remove

          protected void remove(java.lang.String key)

    - #### get

          protected java.lang.String get(java.lang.String key)

    - #### get

          protected java.lang.String get(java.lang.String key,
                             java.lang.String defaultValue)

    - #### set

          protected void set(java.lang.String key,
                 java.lang.String value)

    - #### get

          protected boolean get(java.lang.String key,
                    boolean defaultValue)

    - #### set

          protected void set(java.lang.String key,
                 boolean value)

    - #### get

          protected int get(java.lang.String key,
                int defaultValue)

    - #### set

          protected void set(java.lang.String key,
                 int value)

    - #### set

          protected void set(java.lang.String key,
                 java.lang.String[] value)

    - #### get

          protected java.lang.String[] get(java.lang.String key,
                               java.lang.String[] defaultValue)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)